> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nueborder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Parameters

> Retrieves parameters for imported goods in an EU CBAM report using the specified company and report IDs.



## OpenAPI

````yaml api-reference/openapi.json get /v1/companies/{company_id}/reports/{report_id}/goods/params
openapi: 3.0.0
info:
  description: Validate, store, and query compliance carbon data.
  title: NueBorder API
  termsOfService: https://nueborder.com/terms/
  contact:
    name: Jack Dunlap
    url: https://nueborder.com/support
    email: support@nueborder.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://nueborder.com/api/v1
security: []
externalDocs:
  description: OpenAPI
  url: https://nueborder.com/openapi/
paths:
  /v1/companies/{company_id}/reports/{report_id}/goods/params:
    get:
      tags:
        - Emissions Goods
      summary: Get Parameters
      description: >-
        Retrieves parameters for imported goods in an EU CBAM report using the
        specified company and report IDs.
      parameters:
        - description: >-
            Unique identifier for the company associated with the imported goods
            parameters
          name: company_id
          in: path
          required: true
          schema:
            type: string
        - description: >-
            Unique identifier for the report associated with the imported goods
            parameters
          name: report_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Imported goods parameters retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/models.GetProdMethodQualifyingParamsResponse
        '400':
          description: Missing or invalid company_id or report_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.JSONPayloadErrorResponse'
        '500':
          description: Error retrieving imported goods parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.GetProdMethodQualifyingParamsResponse:
      description: >-
        Details the qualifying parameters of production methods for imported
        goods, supporting compliance verification within the EU CBAM framework.
      type: object
      properties:
        message:
          description: A detailed success message.
          type: string
          example: Operation completed successfully
        prodMethodQualifyingParamsType:
          type: array
          items:
            $ref: '#/components/schemas/flat.ProdMethodQualifyingParamsType'
        status:
          description: HTTP status code.
          type: integer
          example: 200
    models.JSONPayloadErrorResponse:
      description: A response indicating that the JSON payload is invalid.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: The JSON payload is invalid
        status:
          description: HTTP status code.
          type: integer
          example: 400
    models.InternalServerErrorResponse:
      description: A response indicating that an internal server error occurred.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: An internal server error occurred
        status:
          description: HTTP status code.
          type: integer
          example: 500
    flat.ProdMethodQualifyingParamsType:
      description: Summary of Struct
      type: object
      required:
        - method_id
        - method_name
        - year
      properties:
        additional_information:
          description: 'Additional Information (Min Length: 1, Max Length: 512)'
          type: string
        companyID:
          description: Company identifier
          type: integer
        createdAt:
          description: Creation time
          type: string
        internalReportID:
          description: Internal report ID
          type: integer
        method_id:
          description: >-
            The unique identity of the production method. (Min Length: 1, Max
            Length: 5)
          type: string
          example: P45
        method_name:
          description: 'The production method name. (Min Length: 1, Max Length: 256)'
          type: string
          example: Aluminium products
        modification_date:
          description: '(Min Length: 1, Max Length: 35)'
          type: string
        organizationID:
          description: Organization identifier
          type: integer
        sequence_number:
          description: 'Production method sequence number (Pattern: \d{1,5})'
          type: integer
          example: 1
        steel_mill_number:
          description: >-
            Specific steel mill identification number (Min Length: 1, Max
            Length: 256)
          type: string
          example: Steel Mill Identification Number
        updatedAt:
          description: Last update time
          type: string
        updatedBy:
          description: Updater identifier
          type: string
        version:
          description: Report Versions
          type: string
        year:
          description: '(Total Digits: 4)'
          type: integer
          example: 0
  securitySchemes:
    BearerAuth:
      description: 'Provide your Bearer token in the format: Bearer <your_api_key>'
      type: apiKey
      name: Authorization
      in: header

````